Skip to main content
`Ctrl`+`K`

# skbio.table.Table.write

Table.write(file, format=None, **kwargs)

  Write an instance of `Table` to a file.

  This is a convenience method for `skbio.io.registry.write`. For more information about the I/O system in scikit-bio, please see `skbio.io`.

  Supported file formats include:

  - `'biom'` (`skbio.io.format.biom`)

  Parameters:
    file openable (filepath, filehandle, etc.)

      The location to write the given format into. Something that is understood by `skbio.io.util.open`. Filehandles are not automatically closed, it is the responsibility of the caller.

    format str, optional

      The format to write the `Table` object as. The format must be a registered format name with a writer for `Table`. Default is `'biom'`.

    kwargs dict, optional

      Additional arguments passed to the writer for `Table`.

  See also

  `read`
  `skbio.io.registry.write`
  `skbio.io.util.open`
  `skbio.io.format.biom`